# catchPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function catchPokemon

- catchPokemon(
  pokemon: EnemyPokemon ,
  pokeball: null | Sprite,
  pokeballType: PokeballType ,
  showCatchObtainMessage?: boolean,
  isObtain?: boolean,
  ): Promise<void>

  #### Parameters

  - pokemon: EnemyPokemon
  - pokeball: null | Sprite
  - pokeballType: PokeballType
  - showCatchObtainMessage: boolean = true
  - isObtain: boolean = false

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:639